Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Interface KodoExtent

All Superinterfaces:
  Extent

All Known Implementing Classes:
  ExtentImpl

public interface KodoExtent
extends Extent

Extension of the `Extent` interface that adds some Kodo-specific methods.

Method Summary
`Class[]` | `getImplementingClasses()` Returns an array of top-level implementing classes.
`Class[]` | `getImplementingClasses(boolean withMetadata)` Returns an array of top-level implementing classes.
`List` | `list()` Returns a list of all objects represented by this extent.

Methods inherited from interface javax.jdo.Extent
`close, closeAll, getCandidateClass, getPersistenceManager, hasSubclasses, iterator`

Method Detail

### list

    public List list()

  Returns a list of all objects represented by this extent.
  This method creates a `List` by traversing the entire iterator returned by a call to `Extent.iterator()`. This means that `Collection.size()` will work correctly, but if the extent represents a large data set, this method may be quite slow and may consume quite a bit of memory.

### getImplementingClasses

    public Class[] getImplementingClasses()

  Returns an array of top-level implementing classes. If this Extent's candidate class is a concrete class, then the array will contain only that class. If it is an interface, then an array of all the top-level implementors that have been registered by the JDOImplHelper will be returned.
  Since:
    2.5

### getImplementingClasses

    public Class[] getImplementingClasses(boolean withMetadata)

  Returns an array of top-level implementing classes. If this Extent's candidate class is a concrete class, then the array will contain only that class. If it is an interface, then an array of all the top-level implementors that have been registered by the JDOImplHelper will be returned.
  Parameters:
    `withMetadata` - if true, exclude those implementors that do no have metadata.
  Since:
    2.5

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.